# evidently.options

### class OptionsProvider()

Bases: `object`

#### Methods:

&#x20;    **add(options)**

&#x20;    **get(options\_type: Type\[TypeParam])**

## Submodules

## color\_scheme module <a href="#module-evidently.options.color_scheme" id="module-evidently.options.color_scheme"></a>

### class ColorOptions(primary\_color: str = '#ed0400', secondary\_color: str = '#4d4d4d', current\_data\_color: Optional\[str] = None, reference\_data\_color: Optional\[str] = None, color\_sequence: Sequence\[str] = ('#ed0400', '#0a5f38', '#6c3461', '#71aa34', '#d8dcd6', '#6b8ba4'), fill\_color: str = 'LightGreen', zero\_line\_color: str = 'green', non\_visible\_color: str = 'white', underestimation\_color: str = '#6574f7', overestimation\_color: str = '#ee5540', majority\_color: str = '#1acc98', vertical\_lines: str = 'green', heatmap: str = 'RdBu\_r')

Bases: `object`

Collection of colors for data visualization

* primary\_color - basic color for data visualization.

  Uses by default for all bars and lines for widgets with one dataset and as a default for current data.
* secondary\_color - basic color for second data visualization if we have two data sets, for example, reference data.
* current\_data\_color - color for all current data, by default primary color is used
* reference\_data\_color - color for reference data, by default secondary color is used
* color\_sequence - set of colors for drawing a number of lines in one graph, in for data quality, for example
* fill\_color - fill color for areas in line graphs
* zero\_line\_color - color for base, zero line in line graphs
* non\_visible\_color - color for technical, not visible dots or points for better scalability
* underestimation\_color - color for underestimation line in regression
* overestimation\_color - color for overestimation line in regression
* majority\_color - color for majority line in regression
* lines - color for vertical lines
* heatmap\_colors - colors for heatmap

#### Attributes:

&#x20;    **color\_sequence : Sequence\[str] = ('#ed0400', '#0a5f38', '#6c3461', '#71aa34', '#d8dcd6', '#6b8ba4')**

&#x20;    **current\_data\_color : Optional\[str] = None**

&#x20;    **fill\_color : str = 'LightGreen'**

&#x20;    **heatmap : str = 'RdBu\_r'**

&#x20;    **majority\_color : str = '#1acc98'**

&#x20;    **non\_visible\_color : str = 'white'**

&#x20;    **overestimation\_color : str = '#ee5540'**

&#x20;    **primary\_color : str = '#ed0400'**

&#x20;    **reference\_data\_color : Optional\[str] = None**

&#x20;    **secondary\_color : str = '#4d4d4d'**

&#x20;    **underestimation\_color : str = '#6574f7'**

&#x20;    **vertical\_lines : str = 'green'**

&#x20;    **zero\_line\_color : str = 'green'**

#### Methods:

&#x20;    **get\_current\_data\_color()**

&#x20;    **get\_reference\_data\_color()**

## data\_drift module <a href="#module-evidently.options.data_drift" id="module-evidently.options.data_drift"></a>

### class DataDriftOptions(confidence: Optional\[Union\[float, Dict\[str, float]]] = None, threshold: Optional\[Union\[float, Dict\[str, float]]] = None, drift\_share: float = 0.5, nbinsx: Union\[int, Dict\[str, int]] = 10, xbins: Optional\[Dict\[str, int]] = None, feature\_stattest\_func: Optional\[Union\[str, Callable\[\[Series, Series, str, float], Tuple\[float, bool]], [StatTest](https://docs-old.evidentlyai.com/reference/api-reference/pages/Rb3BF2Y7DDvjAuK838aV#evidently.calculations.stattests.registry.StatTest), Dict\[str, Union\[str, Callable\[\[Series, Series, str, float], Tuple\[float, bool]], [StatTest](https://docs-old.evidentlyai.com/reference/api-reference/pages/Rb3BF2Y7DDvjAuK838aV#evidently.calculations.stattests.registry.StatTest)]]]] = None, all\_features\_stattest: Optional\[Union\[str, Callable\[\[Series, Series, str, float], Tuple\[float, bool]], [StatTest](https://docs-old.evidentlyai.com/reference/api-reference/pages/Rb3BF2Y7DDvjAuK838aV#evidently.calculations.stattests.registry.StatTest)]] = None, cat\_features\_stattest: Optional\[Union\[str, Callable\[\[Series, Series, str, float], Tuple\[float, bool]], [StatTest](https://docs-old.evidentlyai.com/reference/api-reference/pages/Rb3BF2Y7DDvjAuK838aV#evidently.calculations.stattests.registry.StatTest)]] = None, num\_features\_stattest: Optional\[Union\[str, Callable\[\[Series, Series, str, float], Tuple\[float, bool]], [StatTest](https://docs-old.evidentlyai.com/reference/api-reference/pages/Rb3BF2Y7DDvjAuK838aV#evidently.calculations.stattests.registry.StatTest)]] = None, per\_feature\_stattest: Optional\[Dict\[str, Union\[str, Callable\[\[Series, Series, str, float], Tuple\[float, bool]], [StatTest](https://docs-old.evidentlyai.com/reference/api-reference/pages/Rb3BF2Y7DDvjAuK838aV#evidently.calculations.stattests.registry.StatTest)]]] = None, all\_features\_threshold: Optional\[float] = None, cat\_features\_threshold: Optional\[float] = None, num\_features\_threshold: Optional\[float] = None, per\_feature\_threshold: Optional\[Dict\[str, float]] = None, cat\_target\_threshold: Optional\[float] = None, num\_target\_threshold: Optional\[float] = None, cat\_target\_stattest\_func: Optional\[Union\[str, Callable\[\[Series, Series, str, float], Tuple\[float, bool]], [StatTest](https://docs-old.evidentlyai.com/reference/api-reference/pages/Rb3BF2Y7DDvjAuK838aV#evidently.calculations.stattests.registry.StatTest)]] = None, num\_target\_stattest\_func: Optional\[Union\[str, Callable\[\[Series, Series, str, float], Tuple\[float, bool]], [StatTest](https://docs-old.evidentlyai.com/reference/api-reference/pages/Rb3BF2Y7DDvjAuK838aV#evidently.calculations.stattests.registry.StatTest)]] = None)

Bases: `object`

Configuration for Data Drift calculations.

* **Parameters**
  * `confidence` – Defines the confidence level for statistical tests.\
    Applies to all features (if passed as float) or certain features (if passed as dictionary).\
    (Deprecated) Use threshold to define confidence level for statistical\
    tests as more universal solution.
  * `threshold` – Defines thresholds for statistical tests.\
    Applies to all features (if passed as float) or certain features (if passed as dictionary).
  * `drift_share` – Sets the share of drifting features as a condition for Dataset Drift in the Data Drift report.
  * `nbinsx` – Defines the number of bins in a histogram.\
    Applies to all features (if passed as int) or certain features (if passed as dictionary).
  * `xbins` – Defines the boundaries for the size of a specific bin in a histogram.
  * `feature_stattest_func` – Defines a custom statistical test for drift detection in the Data Drift report.\
    Applies to all features (if passed as a function) or individual features (if a dict).\
    (Deprecated) Use all\_features\_stattest or per\_feature\_stattest.
  * `all_features_stattest` – Defines a custom statistical test for drift detection in the Data Drift report\
    for all features.
  * `cat_features_stattest` – Defines a custom statistical test for drift detection in the Data Drift report\
    for categorical features only.
  * `num_features_stattest` – Defines a custom statistical test for drift detection in the Data Drift report\
    for numerical features only.
  * `per_feature_stattest` – Defines a custom statistical test for drift detection in the Data Drift report\
    per feature.
  * `cat_target_stattest_func` – Defines a custom statistical test to detect target drift in category target.
  * `num_target_stattest_func` – Defines a custom statistical test to detect target drift in numeric target.

#### Attributes:

&#x20;    **all\_features\_stattest : Optional\[Union\[str, Callable\[\[Series, Series, str, float], Tuple\[float, bool]],** [**StatTest**](https://docs-old.evidentlyai.com/reference/api-reference/pages/Rb3BF2Y7DDvjAuK838aV#evidently.calculations.stattests.registry.StatTest)**]] = None**

&#x20;    **all\_features\_threshold : Optional\[float] = None**

&#x20;    **cat\_features\_stattest : Optional\[Union\[str, Callable\[\[Series, Series, str, float], Tuple\[float, bool]],** [**StatTest**](https://docs-old.evidentlyai.com/reference/api-reference/pages/Rb3BF2Y7DDvjAuK838aV#evidently.calculations.stattests.registry.StatTest)**]] = None**

&#x20;    **cat\_features\_threshold : Optional\[float] = None**

&#x20;    **cat\_target\_stattest\_func : Optional\[Union\[str, Callable\[\[Series, Series, str, float], Tuple\[float, bool]],** [**StatTest**](https://docs-old.evidentlyai.com/reference/api-reference/pages/Rb3BF2Y7DDvjAuK838aV#evidently.calculations.stattests.registry.StatTest)**]] = None**

&#x20;    **cat\_target\_threshold : Optional\[float] = None**

&#x20;    **confidence : Optional\[Union\[float, Dict\[str, float]]] = None**

&#x20;    **drift\_share : float = 0.5**

&#x20;    **feature\_stattest\_func : Optional\[Union\[str, Callable\[\[Series, Series, str, float], Tuple\[float, bool]],** [**StatTest**](https://docs-old.evidentlyai.com/reference/api-reference/pages/Rb3BF2Y7DDvjAuK838aV#evidently.calculations.stattests.registry.StatTest)**, Dict\[str, Union\[str, Callable\[\[Series, Series, str, float], Tuple\[float, bool]],** [**StatTest**](https://docs-old.evidentlyai.com/reference/api-reference/pages/Rb3BF2Y7DDvjAuK838aV#evidently.calculations.stattests.registry.StatTest)**]]]] = None**

&#x20;    **nbinsx : Union\[int, Dict\[str, int]] = 10**

&#x20;    **num\_features\_stattest : Optional\[Union\[str, Callable\[\[Series, Series, str, float], Tuple\[float, bool]],** [**StatTest**](https://docs-old.evidentlyai.com/reference/api-reference/pages/Rb3BF2Y7DDvjAuK838aV#evidently.calculations.stattests.registry.StatTest)**]] = None**

&#x20;    **num\_features\_threshold : Optional\[float] = None**

&#x20;    **num\_target\_stattest\_func : Optional\[Union\[str, Callable\[\[Series, Series, str, float], Tuple\[float, bool]],** [**StatTest**](https://docs-old.evidentlyai.com/reference/api-reference/pages/Rb3BF2Y7DDvjAuK838aV#evidently.calculations.stattests.registry.StatTest)**]] = None**

&#x20;    **num\_target\_threshold : Optional\[float] = None**

&#x20;    **per\_feature\_stattest : Optional\[Dict\[str, Union\[str, Callable\[\[Series, Series, str, float], Tuple\[float, bool]],** [**StatTest**](https://docs-old.evidentlyai.com/reference/api-reference/pages/Rb3BF2Y7DDvjAuK838aV#evidently.calculations.stattests.registry.StatTest)**]]] = None**

&#x20;    **per\_feature\_threshold : Optional\[Dict\[str, float]] = None**

&#x20;    **threshold : Optional\[Union\[float, Dict\[str, float]]] = None**

&#x20;    **xbins : Optional\[Dict\[str, int]] = None**

#### Methods:

&#x20;    **as\_dict()**

&#x20;    **get\_feature\_stattest\_func(feature\_name: str, feature\_type: str)**

&#x20;    **get\_nbinsx(feature\_name: str)**

&#x20;    **get\_threshold(feature\_name: str, feature\_type: str)**

## quality\_metrics module <a href="#module-evidently.options.quality_metrics" id="module-evidently.options.quality_metrics"></a>

### class QualityMetricsOptions(conf\_interval\_n\_sigmas: int = 1, classification\_threshold: float = 0.5, cut\_quantile: Union\[NoneType, Tuple\[str, float], Dict\[str, Tuple\[str, float]]] = None)

Bases: `object`

#### Attributes:

&#x20;    **classification\_threshold : float = 0.5**

&#x20;    **conf\_interval\_n\_sigmas : int = 1**

&#x20;    **cut\_quantile : Union\[None, Tuple\[str, float], Dict\[str, Tuple\[str, float]]] = None**

#### Methods:

&#x20;    **as\_dict()**

&#x20;    **get\_cut\_quantile(feature\_name: str)**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-old.evidentlyai.com/reference/api-reference/evidently.options.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
